### Constructor

# Gtk ComboBox new_with_model

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_combo_box_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkComboBox` with a model.

Deprecated since: 4.10

Use `GtkDropDown`

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkComboBox`

The data is owned by the called function.